Name:           cppmyth
Version:        2.9.4
Release:        5%{?dist}
Summary:        Client interface for the MythTV backend

Group:          System Environment/Libraries
License:        GPLv2+
URL:            https://github.com/janbar/cppmyth/
Source0:        https://github.com/janbar/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(zlib)

%description
This project is intended to create a easy client interface for the MythTV
backend. Its development started from January 2014 and today the API supports
the protocol version of MythTV 0.26 to 0.28-pre.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.


%prep
%autosetup


%build
%cmake . -DCMAKE_INSTALL_LIBDIR=%{_lib}
%make_build


%install
%make_install


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc README
%{_libdir}/*.so.*


%files devel
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Apr 24 2017 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.9.4-1
- Update to 2.9.4

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jul 24 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.5.1-1
- Update to 2.5.1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Aug 24 2015 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 01 2015 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 1.1.10-3
- Do not treat AArch64 (__ARM_ARCH = 8) as ARM (from upstream) - rhbz#1217098
-
* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.1.10-2
- Rebuilt for GCC 5 C++11 ABI change

* Wed Apr 08 2015 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.1.10-1
- Update to 1.1.10

* Tue Dec 30 2014 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.1.0.2-2
- Fix License tag
- Fix misspelling in Description

* Wed Dec 24 2014 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.1.0.2-1
- Initial RPM release
